CartonCloud
Guides

Account Info

User

Returns information about the currently authenticated user.

Request

Example Request

TerminalCode
curl "https://api.cartoncloud.com/users/me" \ -H "Accept-Version: 8" \ -H "Authorization: Bearer {accessToken}"

GET https://api.cartoncloud.com/users/me

GET /uaa/userinfo is still accepted; the gateway rewrites it to /users/me.

Response

Example Response JSON

JSONCode
{ "id": "318782ea-75b1-11e8-adc0-fa7ae01b1234", "name": "John Smith", "email": "john.smith@cartoncloud.com", "tenants": [ { "id": "318782ea-75b1-11e8-adc0-fa7ae01babab", "name": "Demo Tenant" } ] }

On success will return status code 200 OK with the user info in the response body.

JSON PropertyDescription
idUUID for the user
nameName of the user
emailEmail address for the user
tenants.idUUID for the tenant the user has access to
tenants.nameName of the tenant the user has access to
Last modified on